/*! Copyright [Amazon.com](http://amazon.com/), Inc. or its affiliates. All Rights Reserved.
SPDX-License-Identifier: Apache-2.0 */
import { Project, ProjectOptions } from "projen";
import { SmithyAsyncDefinitionOptions, SmithyAsyncDefinition } from "./smithy-async-definition";
import { TypeSafeApiAsyncModelBuildOutputOptions } from "../type-safe-api-async-model-build";
import { TypeSafeApiModelBuildOutputOptions } from "../type-safe-api-model-build";
/**
 * Options for the Smithy WebSocket API model project
 */
export interface SmithyAsyncModelProjectOptions extends ProjectOptions, SmithyAsyncDefinitionOptions, TypeSafeApiModelBuildOutputOptions, TypeSafeApiAsyncModelBuildOutputOptions {
}
/**
 * Smithy model project for a WebSocket API
 */
export declare class SmithyAsyncModelProject extends Project {
    /**
     * Name of the API
     */
    readonly apiName: string;
    /**
     * Smithy model and build settings
     */
    readonly definition: SmithyAsyncDefinition;
    constructor(options: SmithyAsyncModelProjectOptions);
}
