/*! Copyright [Amazon.com](http://amazon.com/), Inc. or its affiliates. All Rights Reserved.
SPDX-License-Identifier: Apache-2.0 */
import { Project } from "projen";
import { SmithyProjectDefinition, SmithyProjectDefinitionOptions } from "./smithy-project-definition";
/**
 * Options for a smithy build project
 */
export interface SmithyDefinitionOptions extends SmithyProjectDefinitionOptions {
}
/**
 * Creates a project which transforms a Smithy model to OpenAPI
 */
export declare class SmithyDefinition extends SmithyProjectDefinition {
    constructor(project: Project, options: SmithyDefinitionOptions);
}
