/*! Copyright [Amazon.com](http://amazon.com/), Inc. or its affiliates. All Rights Reserved.
SPDX-License-Identifier: Apache-2.0 */
import { Project, ProjectOptions } from "projen";
import { SmithyDefinition, SmithyDefinitionOptions } from "./smithy-definition";
import { TypeSafeApiModelBuildOutputOptions } from "../type-safe-api-model-build";
/**
 * Options for the Smithy REST API model
 */
export interface SmithyModelProjectOptions extends ProjectOptions, SmithyDefinitionOptions, TypeSafeApiModelBuildOutputOptions {
}
/**
 * Smithy model project for a REST API
 */
export declare class SmithyModelProject extends Project {
    /**
     * Name of the API
     */
    readonly apiName: string;
    /**
     * Smithy model and build settings
     */
    readonly definition: SmithyDefinition;
    constructor(options: SmithyModelProjectOptions);
}
